variable "api_token" {
  description = "cloudflare token"
  type        = string
  nullable    = false
  sensitive   = true
}

variable "zone_id" {
  description = "cloudflare zone id "
  type        = string
  nullable    = false
}

variable "records" {
  description = "cloudflare records"
  type = list(object({
    name    = string
    ip      = string
    ip_type = string
  }))
}

